> For the complete documentation index, see [llms.txt](https://docs.squads.so/main/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.squads.so/main/development/typescript/accounts/vault.md).

# Vault

Accounts that store assets, and sign for executed transactions

Vaults are the accounts that store assets and handle execution of [Vault Transactions](/main/development/typescript/accounts/transactions.md#vault-transactions). They function differently from any other account associated with Squads, not holding any data directly.

## Understanding Vaults

Vaults are derived via a `vaultIndex`, which allows you select a specific vault by chronological number. Using this index will allow the SDK, and associated instructions to get the correct vault to target.

When you lookup a newly derived vault address on an explorer, it will show as an uninitialized account. This is because Solana requires any initialized account to have a non-zero SOL balance. Because of this, the account is never "created" by any instruction, only marked initialized as the user adds SOL.

{% hint style="info" %}
When you create a new wallet with something like Phantom, that key will initially show as "uninitialized" on an explorer until you deposit funds. Same principle with Vaults!
{% endhint %}

## Getting the Vault account

```typescript
import * as multisig from "@sqds/multisig";
import { Keypair } from "@solana/web3.js";

const { Multisig } = multisig.accounts;

async function main() {
    // One-time keypair, used for derivation 
    const createKey = Keypair.generate();

    const [multisigPda] = multisig.getMultisigPda({
        createKey.publicKey,
    });
    
    const [vaultPda] = multisig.getVaultPda({
        multisigPda,
        index: 0
    });
   
    console.log(vaultPda);
}
```

### Notes:&#x20;

* Vault accounts hold assets, and handle the execution of Vault Transactions
* Vaults hold no data, and are derived via an index
* They are not "created" via any instruction, and will appear as "uninitialized" on an explorer until SOL is deposited


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.squads.so/main/development/typescript/accounts/vault.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
